# Get Recipe

Gets [recipe information](/master/api/recipes/recipe-objects.md) by the recipe identifier or by URL

## Get Recipe

<mark style="color:blue;">`GET`</mark> `https://graph.whisk.com/v1/:id`

#### Path Parameters

| Name     | Type   | Description                                                                                                      |
| -------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| id       | string | Recipe Id or URL. (can be path or query param id)                                                                |
| fields   | array  | Extra fields to return on recipe. The options are: `normalizedIngredients`, `instructions`, `nutrition`, `saves` |
| userId   | string | Allows to get information if this recipe is saved to favorites                                                   |
| servings | number | Scale normalizedIngredients amounts to requested number of servings                                              |
| scale    | number | Multiplier for ingredients amounts in recipe: `0.5`, `2`, ...                                                    |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "id": "9773cb7eca5d11e7ae7e42010a9a0035",
  "name": "Omelette pancakes with tomato & pepper sauce",
  "description": "Healthy, low-calorie and gluten-free - these herby egg 'pancakes' will become your go-to favourite for a quick midweek meal",
  "ingredients": [
    {
      "text": "4 large eggs"
    },
    {
      "text": "handful basil leaves"
    },
    {
      "text": "2 tsp rapeseed oil, plus a little extra for the pancakes"
    },
    {
      "text": "1 yellow pepper, quartered, deseeded and thinly sliced"
    },
    {
      "text": "2 garlic cloves, thinly sliced"
    },
    {
      "text": "1 tbsp cider vinegar"
    },
    {
      "text": "400g can chopped tomatoes"
    },
    {
      "text": "wholemeal bread or salad leaves, to serve"
    }
  ],
  "images": [
    {
      "url": "https://www.bbcgoodfood.com/sites/default/files/styles/recipe/public/recipe_images/omelette-pancakes-with-tomato-pepper-sauce.jpg",
      "responsive": {
        "url": "https://whisk-res.cloudinary.com/image/upload/v1523012138/recipe/758058656142eaae402f1781e18c527c.jpg",
        "width": 454,
        "height": 500
      }
    }
  ],
  "videos": [],
  "source": {
    "name": "bbcgoodfood.com",
    "displayName": "BBC Good Food",
    "sourceRecipeUrl": "https://www.bbcgoodfood.com/recipes/omelette-pancakes-tomato-pepper-sauce",
    "license": "Fairuse",
    "image": {
      "url": "https://whisk-res.cloudinary.com/image/upload/publishers/logos/bbcgoodfood-logo.png",
      "responsive": {
        "url": "https://whisk-res.cloudinary.com/image/upload/publishers/logos/bbcgoodfood-logo.png",
        "width": 256,
        "height": 256
      }
    }
  },
  "numberOfServings": 2,
  "durations": {
    "cookTime": 20,
    "prepTime": 10,
    "totalTime": 30
  },
  "nutrition": {
    "status": "Available",
    "total": [
      {
        "label": "Sugars",
        "code": "SUGAR",
        "value": 18.032,
        "unit": "G"
      },
      {
        "label": "Energy",
        "code": "ENERC_KCAL",
        "value": 552.149,
        "unit": "Kcal"
      },
      {
        "label": "Vitamin K",
        "code": "VITK1",
        "value": 67.71400000000001,
        "unit": "Mkg"
      },
      {
        "label": "Carbohydrate Total",
        "code": "CHOCDF",
        "value": 43.497,
        "unit": "G"
      },
      {
        "label": "Riboflavin B2",
        "code": "RIBF",
        "value": 0.8960000000000001,
        "unit": "Mg"
      },
      {
        "label": "Thiamin B1",
        "code": "THIA",
        "value": 0.256,
        "unit": "Mg"
      },
      {
        "label": "Iron",
        "code": "Fe",
        "value": 8.199,
        "unit": "Mg"
      },
      {
        "label": "Magnesium",
        "code": "MG",
        "value": 62.458000000000006,
        "unit": "Mg"
      },
      {
        "label": "Monounsaturated Fat",
        "code": "FAMS",
        "value": 12.365999999999998,
        "unit": "G"
      },
      {
        "label": "Niacin B3",
        "code": "NIA",
        "value": 2.0069999999999997,
        "unit": "Mg"
      },
      {
        "label": "Potassium",
        "code": "K",
        "value": 1547.69,
        "unit": "Mg"
      },
      {
        "label": "Saturated Fat",
        "code": "FASAT",
        "value": 6.438,
        "unit": "G"
      },
      {
        "label": "Calcium",
        "code": "CA",
        "value": 185.481,
        "unit": "Mg"
      },
      {
        "label": "Total Fat",
        "code": "FAT",
        "value": 27.037000000000006,
        "unit": "G"
      },
      {
        "label": "Sodium",
        "code": "NA",
        "value": 1430.048,
        "unit": "Mg"
      },
      {
        "label": "Cholesterol",
        "code": "CHOLE",
        "value": 654.72,
        "unit": "Mg"
      },
      {
        "label": "Vitamin A",
        "code": "VITA_RAE",
        "value": 1004.706,
        "unit": "Mkg"
      },
      {
        "label": "Folic Acid B9",
        "code": "FOL",
        "value": 113.88000000000001,
        "unit": "Mkg"
      },
      {
        "label": "Polyunsaturated Fat",
        "code": "FAPU",
        "value": 6.467999999999999,
        "unit": "G"
      },
      {
        "label": "Phosphorus",
        "code": "P",
        "value": 444.51200000000006,
        "unit": "Mg"
      },
      {
        "label": "Zinc",
        "code": "Zn",
        "value": 3.0579999999999994,
        "unit": "Mg"
      },
      {
        "label": "Protein",
        "code": "PROCNT",
        "value": 30.446000000000005,
        "unit": "G"
      },
      {
        "label": "Vitamin C",
        "code": "VITC",
        "value": 129.308,
        "unit": "Mg"
      },
      {
        "label": "Vitamin B12",
        "code": "VITB12",
        "value": 1.566,
        "unit": "Mkg"
      },
      {
        "label": "Vitamin B6",
        "code": "VITB6A",
        "value": 0.715,
        "unit": "Mg"
      },
      {
        "label": "Fiber",
        "code": "FIBTG",
        "value": 10.701,
        "unit": "G"
      },
      {
        "label": "Trans Fat",
        "code": "FATRN",
        "value": 0.10800000000000001,
        "unit": "G"
      },
      {
        "label": "Vitamin E",
        "code": "TOCPHA",
        "value": 4.6659999999999995,
        "unit": "Mg"
      },
      {
        "label": "Vitamin D",
        "code": "VITD",
        "value": 3.608,
        "unit": "Mkg"
      }
    ],
    "labels": [
      {
        "name": "low-saturated-fat",
        "displayName": "Low Saturated Fat"
      },
      {
        "name": "high-monounsaturated-fat",
        "displayName": "High Monounsaturated Fat"
      },
      {
        "name": "source-of-vitamin-a",
        "displayName": "Source Of Vitamin A"
      },
      {
        "name": "low-sugars",
        "displayName": "Low Sugars"
      },
      {
        "name": "source-of-protein",
        "displayName": "Source Of Protein"
      },
      {
        "name": "high-protein",
        "displayName": "High Protein"
      },
      {
        "name": "source-of-vitamin-c",
        "displayName": "Source Of Vitamin C"
      },
      {
        "name": "diabetes-friendly",
        "displayName": "Diabetes Friendly"
      }
    ],
    "healthScore": {
      "value": 5.328398771869642,
      "nutrientsInfluence": [
        {
          "code": "FAT_UNSAT",
          "influence": 0.6939760843841576,
          "comment": "Medium positive impact"
        },
        {
          "code": "SUGAR",
          "influence": -0.16607094540196313,
          "comment": "Low negative impact"
        },
        {
          "code": "CHOCDF",
          "influence": -0.32233080518343327,
          "comment": "Low negative impact"
        },
        {
          "code": "Fe",
          "influence": 0.7959836140700944,
          "comment": "Strong positive impact"
        },
        {
          "code": "MG",
          "influence": 0.42528069107651134,
          "comment": "Medium positive impact"
        },
        {
          "code": "K",
          "influence": 0.5341771359436212,
          "comment": "Medium positive impact"
        },
        {
          "code": "FASAT",
          "influence": -0.20384433830804286,
          "comment": "Low negative impact"
        },
        {
          "code": "CA",
          "influence": 0.4175784374308489,
          "comment": "Medium positive impact"
        },
        {
          "code": "NA",
          "influence": -0.652384776600362,
          "comment": "Medium negative impact"
        },
        {
          "code": "CHOLE",
          "influence": -1,
          "comment": "Strong negative impact"
        },
        {
          "code": "VITA_RAE",
          "influence": 0.41592973912427417,
          "comment": "Medium positive impact"
        },
        {
          "code": "PROCNT",
          "influence": 0.661881064471508,
          "comment": "Medium positive impact"
        },
        {
          "code": "VITC",
          "influence": 0.723662907280685,
          "comment": "Medium positive impact"
        },
        {
          "code": "FIBTG",
          "influence": 0.5679207239135912,
          "comment": "Medium positive impact"
        },
        {
          "code": "FATRN",
          "influence": -0.09403816166121269,
          "comment": "Insignificant impact"
        }
      ]
    },
    "glycemicIndex": {
      "value": 41.37
    },
    "glycemicLoad": {
      "value": 9
    }
  },
  "labels": {
    "mealType": [
      {
        "name": "lunch",
        "displayName": "Lunch"
      },
      {
        "name": "main-course",
        "displayName": "Main Course"
      },
      {
        "name": "dinner",
        "displayName": "Dinner"
      }
    ],
    "cuisine": [
      {
        "name": "french",
        "displayName": "French"
      }
    ],
    "category": [
      {
        "name": "main-dishes",
        "displayName": "Main Dishes"
      },
      {
        "name": "healthy-recipes",
        "displayName": "Healthy Recipes"
      },
      {
        "name": "lunch",
        "displayName": "Lunch"
      },
      {
        "name": "quick-and-easy",
        "displayName": "Quick and easy"
      },
      {
        "name": "dinner",
        "displayName": "Dinner"
      }
    ],
    "technique": []
  },
  "constraints": {
    "violates": [
      "diets": [
        "lacto-vegetarian",
        "vegan"
      ],
      "avoidances": [
        "egg",
        "gluten",
        "yeast",
        "wheat"
      ]
    }
  },
  "author": {
    "name": "Sara Buenfeld"
  }
}
```

{% endtab %}
{% endtabs %}

### Sample Request

```bash
curl "https://graph.whisk.com/v1/9773cb7eca5d11e7ae7e42010a9a0035?fields=nutrition" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

or

```bash
curl "https://graph.whisk.com/v1/?id=https:%2F%2Fwww.bbcgoodfood.com%2Frecipes%2Fomelette-pancakes-tomato-pepper-sauce;fields=nutrition" \
    -H "Accept: application/json" \
    -H "Authorization: Token <Access-Token>"
```

We highly optimized the speed of serving nutritional information for recipes, but for performance reasons, we still recommend including this field only when it is required. This can make the server respond faster with basic recipe data and have fewer data to transfer.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whisk.com/master/api/recipes/get-recipe-nutrition.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
